Package org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDOFeatureDelta.ListIndexAffecting

- Enclosing interface:
    InternalCDOFeatureDelta

      public static interface InternalCDOFeatureDelta.ListIndexAffecting

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `affectIndices​(InternalCDOFeatureDelta.ListTargetAdding[] source, int[] indices)` | Expects the number of indices in the first element of the indices array.
    `int` | `projectIndex​(int index)` |

- - ### Method Detail

    - #### affectIndices

          void affectIndices​(InternalCDOFeatureDelta.ListTargetAdding[] source,
                             int[] indices)

      Expects the number of indices in the first element of the indices array.

    - #### projectIndex

          int projectIndex​(int index)

      Since:
        4.6